//
//  IDMWeChatBindingHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/12/7.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "IDMWeChatBindingHttpPostCmd.h"
#import "IDMWeChatBindingHttpResult.h"
static NSString *kActionUrl1 = @"/Single/IdmWxLogin";

@implementation IDMWeChatBindingHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[IDMWeChatBindingHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[IDMWeChatBindingHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpIDMWeChatBindingHttpPostCmd_appId = @"appId";
NSString *const kHttpIDMWeChatBindingHttpPostCmd_openId = @"openId";
NSString *const kHttpIDMWeChatBindingHttpPostCmd_remoteIp = @"remoteIp";
NSString *const kHttpIDMWeChatBindingHttpPostCmd_userName = @"userName";
NSString *const kHttpIDMWeChatBindingHttpPostCmd_password = @"password";
NSString *const kHttpIDMWeChatBindingHttpPostCmd_equipmentId = @"equipmentId";
NSString *const kHttpIDMWeChatBindingHttpPostCmd_wechatname = @"wechatname";
